Older downloads

Installation packages

IoTExplorer10_2.jpg

IoT Explorer Installation Package

2021.Q4 (10.2.121)

IoT Explorer is the best way to set up and connect your Xserver.IoT devices.

Required firmware version: 10.2, 10.2.1, 10.2.2 or 10.2.3

Others